Cambrionix connect
Developers
Settings API

Auto Update

View and manage Auto Update Settings.

Get a Auto Update Settings

GET

/settings/v1/auto-update

Get a Auto Update Settings by Organization Id

Requires a bearer access token for this API with the Organization.Settings.AutoUpdate.Read permission. See Authentication.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/settings/v1/auto-update" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update a Auto Update Settings

PATCH

/settings/v1/auto-update

Update a Auto Update Settings by Organization Id

Requires a bearer access token for this API with the Organization.Settings.AutoUpdate.Write permission. See Authentication.

Request body

object
configone of
enabledboolean
periodobject

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/settings/v1/auto-update" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "config": {
    "type": "release"
  },
  "enabled": true,
  "period": {
    "days": [
      "mon"
    ],
    "time": "string"
  }
}'